pgpool-II 4.7.2 Documentation
Prev | Up |  | Next

# pgpool_adm_pcp_pool_status

## Name

pgpool_adm_pcp_pool_status -- a function to retrieves parameters in pgpool.conf.

## Synopsis

``pcp_pool_status returns setof record`(text `host`, integer `port`, text `username`, text `password`, out `item text`, out `value text`, out `description text`);`

``pcp_pool_status returns setof record`(text `pcp_server`, out `item text`, out `value text`, out `description text`);`

## Description

`pcp_pool_status` retrieves parameters in pgpool.conf.

## Arguments

`pcp_server`

  The foreign server name for pcp server.

`Other arguments`

  See pcp_common_options.

## Example

Here is an example output:

        test=# SELECT * FROM pcp_pool_status(host => 'localhost', port => 11001, username => 't-ishii', password => 't-ishii') WHERE item ~ 'backend.*0';
        item           |                     value                      |          description
        -------------------------+------------------------------------------------+-------------------------------
        backend_hostname0       | /tmp                                           | backend #0 hostname
        backend_port0           | 11002                                          | backend #0 port number
        backend_weight0         | 0.500000                                       | weight of backend #0
        backend_data_directory0 | /home/t-ishii/work/pgpool-II/current/aaa/data0 | data directory for backend #0
        backend_status0         | 2                                              | status of backend #0
        backend_flag0           | ALLOW_TO_FAILOVER                              | backend #0 flag
        (6 rows)

Prev | Home | Next
pgpool_adm_pcp_health_check_stats | Up | pgpool_adm_pcp_node_count